Feeds

back to article Mozilla ditches Mac OS X 10.4 support in fresh Firefox

Mozilla has officially ditched Firefox support for Apple Mac OS X 10.4 for upcoming versions of its browser, despite gripes from some web surfers. The open source group confirmed on Tuesday that, following heated discussion from the Mozilla community, it would only support Mac OS X 10.5 or later when it released the next …

COMMENTS

This topic is closed for new posts.

This post has been deleted by a moderator

Perhaps they don't

Last time I looked, 10.6 is higher than 10.5, and has been out since last September. My own Mac came with 10.6 out of the box and is doing just fine, thanks.

0
0

damn software hippies

10.4.11 is the last stable and fast version of OS X for most of the millions of PPC bases macs. Everyone else is running 10.5 unless they can cope with stupid gamma and odd screen brightness and they are burning the very much broken and beta 10.6. I see 10.4 and 10.5 as the only two sane releases to build to. Extra points to anyone who can tell me how to get a 27" imac to run 10.5 since watching its gamma wants to make me barf.

1
1
Stop

Only truly ancient hardware …

To take one example, http://en.wikipedia.org/wiki/Ibook#iBook_G4 was released more than six years ago, and runs 10.5 fine.

Point of fact: I seriously doubt that more than 50% of PowerPC macs currently in use and connected to the internet are not capable of running 10.5 or 10.6. I haven't seen a G3 running for _years_, and we've retired all but one of our G4s now too.

Anyway, if someone is happy with hardware that is older than six years, then surely they'll be happy with using the still-supported Firefox 3.6 until 2016 or so, when it reaches the same age, and their hardware is more than 12 years old! ;)

10.5 and 10.6 are the only two sane releases to build to, by the way :)

1
1
FAIL

"Extra points to anyone who can tell me how to get a 27" imac to run 10.5..."

Easy. Just go to Amazon a buy Leopard (http://www.amazon.co.uk/Mac-OS-Leopard-10-5-6-Retail/dp/B000FK88JK/ref=sr_1_2?ie=UTF8&s=software&qid=1267126798&sr=8-2). Put the DVD in the drive, start the Mac and hold down the 'C' key and wait for the DVD to boot. Once it has booted (and you've let go of the 'C' key) go to the Utilities menu and launch the Disc Utility. Format the drive and then quit the utility. Click continue on the Install screen and follow the instructions. Or you could simply launch the System Properties, click on Display and configure your fucking computer properly for your environment. The latter will save you about £170 and the embarrassment of not searching the internet for a simple solution.

0
0
Bronze badge
Unhappy

Ah well...

Considering that this Cube* I'm currently using is now 10 years old, 'spose that I cant complain toooo much.

*Unmodded other than memory and harddrive.

0
0
FAIL

FFS

Some of us are still using G5s, and simply cannot use 10.5. Won't run on our hardware, and not replacing hardware to upgrade my browser.

Well done,Mozilla, for pushing me and others to alternative browsers.

So much for this being the better choice.

1
3
Stop

Mac OS 10.5 runs fine on a G5.

http://en.wikipedia.org/wiki/Mac_OS_X_Leopard#System_requirements (couldn't find it on Apple's own site!)

1
0

Look on the bright side

I thought Mozilla was an alternative browser? So you'll be moving on to an alternative alternative - sweet jesus man, you're right out there on the edge of society aren't you?

0
0
Flame

Hate to point out the obvious.....

...but Mozilla is an Open Source project, so if you don't like their stance, take the source code and WRITE YOUR OWN VERSION.

Or better still go and use Safari like good little Apple droids.

(AC - I suspect Mossad use Macs)

1
2
Anonymous Coward

RE: Hate to point out the obvious.....

or just download the newer code and tinker with/compile it yourself...

0
1
Joke

MOSSAD

I suspect that they don't use Macs - otherwise they would have photoshopped those passports a little better.

1
0
Jobs Halo

I have 10.5 on my MirrorDoor

A christmas present to myself in 1992

M8573LL/A

Dual 1.25 GHz PowerPC G4

1 MB L3 cache per processor

2 GB DDR SDRAM

167 MHz System Bus

OS X 10.5 (9A581) Darwin 9.0.0

Admittedly it came from my iMac that originally came with 10.4.10 (my 2007 Christmas present to myself) and then Apple sent me a genuine Apple upgrade disk from 10.4 to 10.5 ...

Sadly the iMac died but my Mirror Door lives on with the OS.

NO - I am not going to torrent it to you.

0
2
Stop

Keep up old man

In 1992 your Mac would probably have have had System 7, 4Mb RAM, 40Mb hard drive and a 25MHz 68030 CPU with 256-byte caches.

0
0
FAIL

Camino

Although "doing it wrong" might be Mozilla's motto for the past few years, it appears that Camino will still support 10.4. Despite efforts to make it suck less, running FF on OS X is still pretty lousy, albeit not as lousy as Safari on Windows.

0
0
Flame

Oh boo hoo

I got into computers because it was all new stuff with shiny lights and buttons. The lure was being at the cutting edge of a new enterprise for humanity, finding out how to do new things on new toys. Now I'm surrounded by folks describing themselves as IT professionals who don't even have their own computer in their homes. And people are seriously whining about how they can't use the most modern version of Firefox on their superannuated junk piles? A program that did't even exist when they bought their dusty difference engines?

Ditch the old crap, send it to the 3rd World or just chuck it in a skip for the love of the sensless, uncaring, mechanistic universe. And buy a new computer even if baby's teeth have to grow crooked.

3
1
Len
Go

No problem...

I don't see the problem and actually welcome this move.

As it stands now, 10.4 users will still be supported by Mozilla well into the second half of 2011 if not later. By that time most PPC users will have either upgraded to 10.5 anyway (My five year old G4 runs 10.5 just fine for everyday work and is my main computer).

Besides, by that time, 10.4 users will have become such a small number that it is not worth it to have all other users suffer from a lack of innovation. 10.4 lacks many of the modern frameworks and APIs that it would be a shame if Firefox could not make use of those because a hand full users still hangs on to some ancient OS.

2
1
Silver badge

Who can blame them

Apple hardly gives a damn about backwards compatibility so why should application vendors?

1
1
FAIL

RE: Who can blame them

That'll be why they included an OS9 emulator in OS10.x for PPC and why PPC programs will run fine on Intel boxes then?

1
1

AppleTV?

What about all those hacked AppleTVs running 10.4? No more Firefox for them?

0
0

Calm down Mac kiddies

Firefox 3.7 was canned and all of the 3.7 features will be deployed as 3.6.x versions. You're going to have a 10.4 compatible browser for at least the next 12-16 months, well into 2012.

The whole issue is non-news, because by the time Mozilla has a browser out that doesn't support 10.4, your 10.4 will be looking pretty old.

0
0
Coat

Firefox

Boo hoo. It isn't supported on Win95 or 3.1 either.

0
1
Thumb Up

@Subliteratus

++ couldn't agree more

unless you are in a corporate setup (bye bye mac) where you have to support older versions of IE, you can pretty much forget about older firefox support

also, homeboys, get chrome

0
0
Anonymous Coward

Small user base.

Users of OS X 10.4 and earlier form only a tiny proportion of the overall Firefox user base. I bet they wouldn't want to try the same trick with an even older OS release from somewhere like Redmond.

Since you can't legitmately upgrade from 10.4 to 10.5 at no cost that's a chunk of people who won't be sticking with Mozilla.

Oh and to the moron who said they haven't seen a G3 running for years. You're cleary in some sort of corporate or educational environment from the statements you've made. Most G3s and G4s out there will be in private homes. For example I know several people who've let their kids have their old iMac and kids are of course just the user base you want to alienate. And I know people still running G3s and G4s because they work fine for web and email.

1
0
Happy

G3s and above

" who said they haven't seen a G3 running for years"

Just got rid of an old G3 - it was running fine but I wanted to clean out the clutter in the house. Oldest is a G4 533 MHz (Birthed in 2001!) so it is 9 years old. Not bad for $1500.

0
0
WTF?

Storm in a teacup

Corporate (er, what do you expect, this is an IT news website!) … and I really haven't seen a G3 running for years, honestly. I found a BBC micro upstairs earlier on though :)

Your first sentence says it all. It's a tiny proportion of the user base. For a free-at-the-point-of-use software project, that is reason enough to drop it as a target platform. Having said that, I expect that if someone offered somebody enough money to cover the cost of maintaining Firefox for that platform, then it would be done.

Nobody's stopping people who want to persist with old hardware or OS releases from doing so, but they shouldn't be surprised when support in a given application for their chosen platform gradually evaporates as their proportion of the total user base of that application diminishes. I have a computer with an AGP graphics card slot, no PCI-E. So I (a) pay a bit more for a replacement card and (b) don't have access to any of the latest chipsets. That's fine, it's just progress. I can choose to spend some cash one a more modern machine, or not!

Firefox 3.6 works fine for web on all of the obsolescent platforms you cite, and will continue to do so, so where's the problem?

If it's that important to a given user to have the latest (free) application software, then either upgrade to an OS less than three years old at the time or writing (more, before this issue becomes concrete) if your computer supports it, or to a computer less than seven years old if not.

The kids will get over it (besides which, by the time this newer version of Firefox is released, they will be able to inherit a sufficiently modern machine to run it, right?)

I still don't see what all the fuss is about.

Always best to remain anonymous when conversing with people having an IQ lower than 70, by the way, well done for that ;)

0
1
Bronze badge

No Problem

I'll just boot into Windows on the Macbook, when I want a more updated Firefox. Otherwise, Safari will do.

0
0
Anonymous Coward

Forget Firefox

Use Camino instead. It's superior to FF in almost every respect.

(and it's 10.4 compatible)

http://caminobrowser.org/

0
0

What's the problem here?

The figures show that most 10.4 users are still haven't updated to 3.6 anyway.

Yet they moan that future versions might not work on their out dated OS.

See the problem?

0
0
Stop

Give Opera 10.50 Beta a whirl

It's better than Firefox anyway, and supports all Intel Mac (with PowerPC in the works still).

http://www.opera.com/browser/next/

1
0
CT

Three G3s and two G4s in this family

... all working just fine thanks,

1
0

And what's the problem with 3.6?

and what gamma issue? Last time I looked it could be set in system properties.

0
0

Get Chrome....... NOT

If FF does not run on your version of OSX, use the wonderful browser that is provided with the OS, the only browser that makes IE look good. Alternatively there is always Opera and if you don't mind signing all rights to your data away, use Chrome, thanks Google.

0
0

Time for the G4 Powerbook to be retired ...

We wonder why we are in the state we are in, when hardware four or five years old is obsoleted not by the availability of spare parts to repair it, or by new interfaces that it won't connect to, but by a third party freeware, open source application deciding not to continue support.

0
0
Stop

Mozzilla ditches....

You should know that when disposing of your hardware to 3rd world countries,

it's only certain elements they are looking for, largely metal, used again in cell phones.Kids play on all these junked computers,cell phones, printers, TV's, etc.The workers breathe in poisonous fumes all day.Plus, using the HDD, one can find all kinds of scams.That's why 3rd world countries are the first in scams.

http://www.pbs.org/frontlineworld/stories/ghana804/video/video_index.html

1
0
This topic is closed for new posts.